Bug 138862 - [patch] port upgrade: devel/monotone to 0.45
Summary: [patch] port upgrade: devel/monotone to 0.45
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-15 22:40 UTC by Lapo Luchini
Modified: 2009-09-17 15:40 UTC (History)
0 users

See Also:


Attachments
file.diff (200 bytes, patch)
2009-09-15 22:40 UTC, Lapo Luchini
no flags Details | Diff
file.diff (597 bytes, patch)
2009-09-15 22:40 UTC, Lapo Luchini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lapo Luchini 2009-09-15 22:40:05 UTC
New upstream release.

Fix: This is the "upgrade part" of the patch proposed in ports/134743 (whose subject is whether -pthread shuold be used or not, as opposed as simply upgrading the port).

PORTNAME=	monotone
-PORTVERSION=	0.44
+PORTVERSION=	0.45
 CATEGORIES=	devel
 MASTER_SITES=	http://monotone.ca/downloads/${PORTVERSION}/
Comment 1 dfilter service freebsd_committer 2009-09-17 11:35:55 UTC
miwi        2009-09-17 10:35:46 UTC

  FreeBSD ports repository

  Modified files:
    devel/monotone       Makefile distinfo 
  Log:
  - Update to 0.45
  
  PR:             138862
  Submitted by:   Lapo Luchini <lapo@lapo.it> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.45      +1 -1      ports/devel/monotone/Makefile
  1.28      +3 -3      ports/devel/monotone/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2009-09-17 11:36:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 Lapo Luchini 2009-09-17 15:30:19 UTC
The patch in ports/134743 was a bit different from the one in ports/138862, I think this PR should be still open, with the following remaining part of the patch:

diff -ruN /usr/ports/devel/monotone/Makefile ./Makefile
--- /usr/ports/devel/monotone/Makefile	2009-07-28 13:44:52.000000000 +0200
+++ ./Makefile	2009-09-15 12:04:44.000000000 +0200
@@ -27,8 +27,9 @@
 USE_LUA=	5.1+

 GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -pthread" \
 		LDFLAGS="-L${LOCALBASE}/lib" \
+		LIBS="-pthread" \
 		MAKEINFO="makeinfo --no-split"

 PLIST_FILES=	bin/mtn bin/mtnopt share/zsh/site-functions/_mtn \
diff -ruN /usr/ports/devel/monotone/distinfo ./distinfo
Comment 4 Lapo Luchini 2009-09-17 15:34:01 UTC
Sorry, wrong bug to write to: ports/138862 (the upgrade) is correctly closed, it's ports/134743 (the -pthread issue) that should be still open.